import { useState } from 'react'
import AgoraRTC from 'agora-rtc-sdk-ng'
import { AgoraRTCProvider, useRTCClient } from 'agora-rtc-react'
import { AgoraManager } from '../../Services/AgoraManager/AgoraManager'

const VideoCall = () => {
  const agoraEngine = useRTCClient(AgoraRTC.createClient({ codec: 'vp8', mode: 'rtc' }))
  const [joined, setJoined] = useState(false)

  const handleJoinClick = () => {
    setJoined(true)
  }

  const handleLeaveClick = () => {
    setJoined(false)
  }

  const renderActionButton = () => {
    return joined ? (
      <button onClick={handleLeaveClick}>Leave</button>
    ) : (
      <button onClick={handleJoinClick}>Join</button>
    )
  }

  return (
    <div>
      <h1>Get Started with Video Calling</h1>
      {renderActionButton()}
      {joined && (
        <AgoraRTCProvider client={agoraEngine}>
          <AgoraManager>
            <div>asas</div>
          </AgoraManager>
        </AgoraRTCProvider>
      )}
    </div>
  )
}

export default VideoCall
